For the complete documentation index, see llms.txt. This page is also available as Markdown.

FileManagementService

Upload or download files within Symitar.

Symitar eDocs References: Coming soon.

Operations

downloadLetterFile

post

Downloads a letter file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringRequired

The name of the file to be uploaded or downloaded

Responses
200

Successful operation.

application/json
DatanumberOptional

The data to be uploaded or downloaded.

post/downloadLetterFile
POST /nexum/627/persistent/filemanagement/downloadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.LETTER.TEST",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Data": "nexum wave 3 letter test",
  "Version_1": null,
  "_value_1": null,
  "MessageId": "downloadLetterFile"
}

uploadLetterFile

post

Uploads a letter file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringOptional

The name of the file to be uploaded or downloaded

DatanumberOptional

The data to be uploaded or downloaded.

noNewlinebooleanOptional

Whether to include newline characters in the file

Responses
200

Successful operation.

application/json
post/uploadLetterFile
POST /nexum/627/persistent/filemanagement/uploadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.LETTER.TEST",
  "Data": "bmV4dW0gd2F2ZSAzIGxldHRlciB0ZXN0Cg==",
  "noNewline": false,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Version_1": null,
  "_value_1": null,
  "MessageId": "uploadLetterFile"
}

deleteLetterFile

post

Deletes a letter file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringRequired

The name of the file to be uploaded or downloaded

Responses
200

Successful operation.

application/json
post/deleteLetterFile
POST /nexum/627/persistent/filemanagement/deleteLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.LETTER.TEST",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Version_1": null,
  "_value_1": null,
  "MessageId": "deleteLetterFile"
}

uploadDataFile

post

Uploads a data file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringOptional

The name of the file to be uploaded or downloaded

DatanumberOptional

The data to be uploaded or downloaded.

noNewlinebooleanOptional

Whether to include newline characters in the file

Responses
200

Successful operation.

application/json
post/uploadDataFile
POST /nexum/627/persistent/filemanagement/uploadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.DATA.TEST",
  "Data": "bmV4dW0gd2F2ZSAzIGRhdGEgdGVzdAo=",
  "noNewline": false,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Version_1": null,
  "_value_1": null,
  "MessageId": "uploadDataFile"
}

downloadDataFile

post

Downloads a data file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringRequired

The name of the file to be uploaded or downloaded

Responses
200

Successful operation.

application/json
DatanumberOptional

The data to be uploaded or downloaded.

post/downloadDataFile
POST /nexum/627/persistent/filemanagement/downloadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.DATA.TEST",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Data": "nexum wave 3 data test",
  "Version_1": null,
  "_value_1": null,
  "MessageId": "downloadDataFile"
}

deleteDataFile

post

Deletes a data file.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
FileNamestringRequired

The name of the file to be uploaded or downloaded

Responses
200

Successful operation.

application/json
post/deleteDataFile
POST /nexum/627/persistent/filemanagement/deleteDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "NEXUM.WAVE3.DATA.TEST",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Status": {
    "StatusCode": 0,
    "Message": null,
    "Version_1": null,
    "_value_1": null
  },
  "Version_1": null,
  "_value_1": null,
  "MessageId": "deleteDataFile"
}

Last updated

Was this helpful?